# TdApi.TextEntityTypePreCode (tdlight API 4.0.311 API)
declaration: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: TextEntityTypePreCode

Module tdlight.api
Package it.tdlight.jni

# Class TdApi.TextEntityTypePreCode

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.TextEntityType
it.tdlight.jni.TdApi.TextEntityTypePreCode

Enclosing class:
  TdApi

public static final class TdApi.TextEntityTypePreCode extends TdApi.TextEntityType
Text that must be formatted as if inside pre, and code HTML tags.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
`String`
`language`
Programming language of the code; as defined by the sender.

## Constructor Summary

Constructors
Constructor
Description
`TextEntityTypePreCode()`
Text that must be formatted as if inside pre, and code HTML tags.
`TextEntityTypePreCode(DataInput input)`
Text that must be formatted as if inside pre, and code HTML tags.
`TextEntityTypePreCode(String language)`
Text that must be formatted as if inside pre, and code HTML tags.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### language

public String language
Programming language of the code; as defined by the sender.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### TextEntityTypePreCode

public TextEntityTypePreCode()
Text that must be formatted as if inside pre, and code HTML tags.

### TextEntityTypePreCode

public TextEntityTypePreCode(String language)
Text that must be formatted as if inside pre, and code HTML tags.

Parameters:
  `language` - String Programming language of the code; as defined by the sender.

### TextEntityTypePreCode

public TextEntityTypePreCode(DataInput input) throws IOException
Text that must be formatted as if inside pre, and code HTML tags.

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`